exercises/static-pages/config/routes.rb
# frozen_string_literal: true

Rails.application.routes.draw do
  # BEGIN
  root 'home#index'

  get 'pages', to: 'pages#show'
  # END
  # For details on the DSL available within this file, see https://guides.rubyonrails.org/routing.html
end

exercises/static-pages/app/models/application_record.rb
# frozen_string_literal: true

class ApplicationRecord < ActiveRecord::Base
  self.abstract_class = true
end

exercises/static-pages/app/controllers/application_controller.rb
# frozen_string_literal: true

class ApplicationController < ActionController::Base
end

exercises/static-pages/app/controllers/home_controller.rb
class HomeController < ApplicationController
  def index
  end
end

exercises/static-pages/app/controllers/pages_controller.rb
class PagesController < ApplicationController
  def show
  end
end

exercises/static-pages/app/helpers/application_helper.rb
# frozen_string_literal: true

module ApplicationHelper
end

exercises/static-pages/app/helpers/home_helper.rb
module HomeHelper
end

exercises/static-pages/app/helpers/pages_helper.rb
module PagesHelper
end

exercises/static-pages/app/views/home/index.html.erb
<h1>Home</h1>

<p><%= link_to 'Обо мне', pages_path(:about) %></p>

exercises/static-pages/app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
  <head>
    <title>StaticPages</title>
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>

    <%= stylesheet_link_tag 'application', media: 'all' %>
  </head>

  <body>
    <%= yield %>
  </body>
</html>

exercises/static-pages/app/views/pages/_about.html.erb
<ul>
  <li><a href="/">Home</a></li>
</ul>

<main>
    <h1>Тамразов Александр</h1>
    <h2>Будущая Rails-звезда! </h2>
    <hr>
    <section>
        <h2>Ключевые навыки:</h2>
        <ul>
            <li>Ruby On Rails</li>
            <li>Ruby</li>
            <li>JavaScript</li>
            <li>TypeScript</li>
            <li>Rx.js</li>
            <li>React.js</li>
        </ul>
    </section>
    <section>
        <h2>Обо мне</h2>
        <p>молодой-горячий</p>
    </section>
</main>

exercises/static-pages/app/views/pages/show.html.erb
<h1>Pages</h1>

<%= render params[:format] %>